<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>JWT Validator</title>

    <link
      type="text/css"
      rel="stylesheet"
      href="/static/css/bootstrap.min.css"
    />
  </head>
  <body>
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg navbar-light bg-light mb-3">
      <div class="container-fluid">
        <a class="navbar-brand" href="#">JWT Validator</a>
        <button
          class="navbar-toggler"
          type="button"
          data-bs-toggle="collapse"
          data-bs-target="#navbarSupportedContent"
          aria-controls="navbarSupportedContent"
          aria-expanded="false"
          aria-label="Toggle navigation"
        >
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav me-auto mb-2 mb-lg-0">
            <li class="nav-item">
              <a class="nav-link" aria-current="page" href="/">Accueil</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" aria-current="page" href="/defi1">Défi 1</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" aria-current="page" href="/defi2">Défi 2</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" aria-current="page" href="/defi3">Défi 3</a>
            </li>
          </ul>
        </div>
      </div>
    </nav>


    <div class="container">
        {# Verifier si le role est "admin" #}
        {% if role and role == 'admin' %}
            <div class="alert alert-success" role="alert">
                Bravo! Vous êtes admin!
            </div>
        {% endif %}

        {% block content %}
            Default content
        {% endblock %}
    </div>


    <script type="text/javascript" src="/static/js/bootstrap.min.js"></script>

  </body>
</html>
